#include <SPI.h>

byte address = 0x00;
int CS = 10;
int i;
int icopie = 0;
const int trigPin = 7;
const int echoPin = 6;
long duration;
int distance;

void setup()
{
    pinMode (CS, OUTPUT);
    SPI.begin();
    pinMode(trigPin, OUTPUT); 
    pinMode(echoPin, INPUT); 
    Serial.begin(9600); 
}

void loop()
{
    digitalWrite(trigPin, LOW);
    delay(10);
    digitalWrite(trigPin, HIGH);
    delay(10);
    digitalWrite(trigPin, LOW);
    duration = pulseIn(echoPin, HIGH);
    distance= duration*0.034/2;
    if (distance < 30)
    i = map(distance, 2, 20, 100, 128);
    Serial.println(i);

    if (i>=100 && i<=128) 
        digitalPotWrite(i);
    else {
        digitalPotWrite(128);
        Serial.println("here");
    }
    delay(250);
}

int digitalPotWrite(int value)
{
    digitalWrite(CS, LOW);
    SPI.transfer(address);
    SPI.transfer(value);
    digitalWrite(CS, HIGH);
}
